Show a workflow version
GET
/v1/channels/{channel_id}/workflow_versions/{id}
const url = 'http://api.disclosebot.localdev:3000/v1/channels/example/workflow_versions/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://api.disclosebot.localdev:3000/v1/channels/example/workflow_versions/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” channel_id
required
string
id
required
string
Responses
Section titled “ Responses ”Successful
Media type application/json
object
data
required
object
id
required
string format: uuid
type
required
string
attributes
required
object
number
required
integer
definition
required
The flat workflow definition: one entry per step keyed by name
object
steps
required
object
key
additional properties
One step of a workflow definition; the fields depend on kind
object
kind
required
string
needs
Names of the steps this step runs after
Array<string>
task
Triage only
string
engine
Triage only; rule is available for scope and duplicate
string
scale
Triage, severity only
string
instructions
Triage, severity with the custom scale
string
method
Triage, duplicate with the ai engine
string
lookback_days
Triage, duplicate only
integer
public_key_id
Transmit only; the body is encrypted to this key before delivery, and sent as it stands without one
string format: uuid
integration
Transmit only
object
type
required
string
id
required
string format: uuid
cloaked
Transmit only; what to do with a report the reporter encrypted in the browser: send its ciphertext as it stands, or send no body
string
only_when
Transmit only; result key to the allowed values
object
key
additional properties
Array<string>
definition_hash
required
string
committed_at
required
string format: date-time
committed_by_id
string format: uuid
summary
string
created_at
string format: date-time
relationships
object
workflow
object
Example
{ "data": { "type": "workflow_version", "attributes": { "definition": { "steps": { "additionalProperty": { "kind": "triage", "task": "summary", "engine": "ai", "scale": "standard", "method": "prompt", "integration": { "type": "Webhook" }, "cloaked": "send" } } } } }}Unauthorized
Unknown version